#!/bin/sh

echo "This install script comes from XSatellite.( http://xsatellite.sourceforge.net/ )"
echo "To abort installation, press CTRL-C at any time."
echo "--------------------------------------------------------------------------------"


bflag=1

while test $bflag -eq 1
do
	echo -n "[1/2] Install GPRename in [/usr/local/share/gprename] : "
	read D

	if test "$D" = "" ; then
		D="/usr/local/share/gprename"
	fi

	if [ -d $D ]; then

		flag=1
		while test $flag -eq 1
		do
			echo -n "[2/2] Directory [$D] already exist. Install anyway [Y/n] : "
			read A
			if test "$A" = "y" -o "$A" = "Y" ; then
				flag=0
				bflag=0
			fi
			if test "$A" = "n" -o "$A" = "N" ; then
				flag=0
				bflag=1
			fi
			if test "$A" = "" ; then
				flag=0
				bflag=0
			fi
		done

	else

		flag=1
		while test $flag -eq 1
		do
			echo -n "[2/2] Directory [$D] not found. Do you wish to create it [Y/n] : "
			read A
			if test "$A" = "y" -o "$A" = "Y" ; then
				flag=0
				bflag=0
                                mkdir -p $D
				fi
			if test "$A" = "n" -o "$A" = "N" ; then
				flag=0
				bflag=1
			fi
			if test "$A" = "" ; then
				flag=0
				bflag=0
				mkdir -p $D
			fi
		done

	fi
done
INSTALLDIR=$D


echo "--------------------------------------------------------------------------------"

mkdir -p $INSTALLDIR/languages

cp ./languages/* $INSTALLDIR/languages

mkdir -p $INSTALLDIR/pixmaps

cp ./pixmaps/* $INSTALLDIR/pixmaps

cp ./gprename.pl $INSTALLDIR

cp ./langs.pl $INSTALLDIR

if [ -e /usr/local/bin/gprename ] ; then
	rm /usr/local/bin/gprename
fi

echo "#!/bin/sh" >/usr/local/bin/gprename
echo "index=\`expr index \"\$1\" /\`;" >> /usr/local/bin/gprename
echo "if [ \$index != 1 ]">> /usr/local/bin/gprename
echo "then">> /usr/local/bin/gprename
echo "        dir=\`pwd\`/\$1;">> /usr/local/bin/gprename
echo "else">> /usr/local/bin/gprename
echo "        dir=\"\$1\";">> /usr/local/bin/gprename
echo "fi">> /usr/local/bin/gprename
echo "perl $INSTALLDIR/gprename.pl $INSTALLDIR \$dir &" >>/usr/local/bin/gprename

chmod +x /usr/local/bin/gprename

echo "1. GPRename was successfully installed in $INSTALLDIR"
echo "2. If perl is not in your path edit the file /usr/local/bin/gprename" 
echo "3. To start the program type gprename and hit enter"
